#include "datadict.h"

DataDict::DataDict(QObject *parent)
    : QObject{parent}
{

}

DataDict::~DataDict()
{

}

void DataDict::updateData(const QJsonObject data)
{
    QStringList keys = data.keys();
    foreach(QString key, keys) {
        m_data[key] = data[key];
    }
}

const QJsonObject DataDict::data()
{
    return m_data;
}